/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.service;

import gov.va.med.esr.common.model.person.Person;
import gov.va.med.esr.common.util.AbstractServiceTestCase;

import gov.va.med.ps.model.PersonVPID;

/**
 * Initial javadoc for class PersonCreationTest.
 * TODO - Add content here
 * 
 * Created Mar 10, 2006 9:29:50 PM
 * @author DNS   BOHMEG
 */
public class PersonCreationTest extends AbstractServiceTestCase {
	/**
	 * This will create the right type of Person who can be hardcoded to use with Signature Data
	 * such that Z messages will get created
	 * 
	 * @throws Exception
	 */
	public void testCreatePersonWithPrimaryIncomeTest() throws Exception {
		Person person = buildSeededPerson(PersonVPID.HARDCODED_PSIM_VPID_VALUE5);
		attachPrimaryMeansTest(person);
		person = getPersonService().save(person);
		assertNotNull(person.getEntityKey());
		logPersonKeys("Created", person); 
	}	
}
